diff --git a/doc/README.secureboot.md b/doc/README.secureboot.md
index 6546095..2b73d10 100644
--- a/doc/README.secureboot.md
+++ b/doc/README.secureboot.md
@@ -151,7 +151,7 @@ For user-generated keys, create a new option file in the repository. This option
 
 ```yaml
 header:
-  version: 12
+  version: 14
   includes:
    - kas/opt/ebg-swu.yml
 
diff --git a/kas/board/bbb.yml b/kas/board/bbb.yml
index c99d9bd..f2e701c 100644
--- a/kas/board/bbb.yml
+++ b/kas/board/bbb.yml
@@ -10,6 +10,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 machine: bbb
diff --git a/kas/board/hihope-rzg2m.yml b/kas/board/hihope-rzg2m.yml
index 7b80de7..8d0136b 100644
--- a/kas/board/hihope-rzg2m.yml
+++ b/kas/board/hihope-rzg2m.yml
@@ -10,6 +10,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 machine: hihope-rzg2m
diff --git a/kas/board/iwg20m.yml b/kas/board/iwg20m.yml
index c873b98..9c9ef4b 100644
--- a/kas/board/iwg20m.yml
+++ b/kas/board/iwg20m.yml
@@ -10,6 +10,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 machine: iwg20m
diff --git a/kas/board/qemu-amd64.yml b/kas/board/qemu-amd64.yml
index f9f57be..c27ed8e 100644
--- a/kas/board/qemu-amd64.yml
+++ b/kas/board/qemu-amd64.yml
@@ -10,6 +10,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 machine: qemu-amd64
diff --git a/kas/board/qemu-arm.yml b/kas/board/qemu-arm.yml
index fe03028..969fd5a 100644
--- a/kas/board/qemu-arm.yml
+++ b/kas/board/qemu-arm.yml
@@ -11,6 +11,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 machine: qemu-arm
diff --git a/kas/board/qemu-arm64.yml b/kas/board/qemu-arm64.yml
index 55690b3..1a1eb0d 100644
--- a/kas/board/qemu-arm64.yml
+++ b/kas/board/qemu-arm64.yml
@@ -11,6 +11,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 machine: qemu-arm64
diff --git a/kas/board/qemu-riscv64.yml b/kas/board/qemu-riscv64.yml
index 0de158a..e8272b0 100644
--- a/kas/board/qemu-riscv64.yml
+++ b/kas/board/qemu-riscv64.yml
@@ -7,6 +7,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 machine: qemu-riscv64
diff --git a/kas/board/simatic-ipc227e.yml b/kas/board/simatic-ipc227e.yml
index 82b0ff7..cf27058 100644
--- a/kas/board/simatic-ipc227e.yml
+++ b/kas/board/simatic-ipc227e.yml
@@ -10,6 +10,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 machine: simatic-ipc227e
diff --git a/kas/opt/4.19.yml b/kas/opt/4.19.yml
index 5e79223..bad4293 100644
--- a/kas/opt/4.19.yml
+++ b/kas/opt/4.19.yml
@@ -10,7 +10,7 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   kernel-version: |
diff --git a/kas/opt/4.4.yml b/kas/opt/4.4.yml
index 970351a..c0c5c05 100644
--- a/kas/opt/4.4.yml
+++ b/kas/opt/4.4.yml
@@ -10,7 +10,7 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   kernel-version: |
diff --git a/kas/opt/5.10.yml b/kas/opt/5.10.yml
index 2258575..f3a6d86 100644
--- a/kas/opt/5.10.yml
+++ b/kas/opt/5.10.yml
@@ -10,7 +10,7 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   kernel-version: |
diff --git a/kas/opt/6.1.yml b/kas/opt/6.1.yml
index ac12adf..7ac2735 100644
--- a/kas/opt/6.1.yml
+++ b/kas/opt/6.1.yml
@@ -10,7 +10,7 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   kernel-version: |
diff --git a/kas/opt/bookworm.yml b/kas/opt/bookworm.yml
index 8b4431b..dc0e0a2 100644
--- a/kas/opt/bookworm.yml
+++ b/kas/opt/bookworm.yml
@@ -10,6 +10,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 distro: cip-core-bookworm
diff --git a/kas/opt/bullseye.yml b/kas/opt/bullseye.yml
index b08e0e4..0614c92 100644
--- a/kas/opt/bullseye.yml
+++ b/kas/opt/bullseye.yml
@@ -10,6 +10,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 distro: cip-core-bullseye
diff --git a/kas/opt/buster.yml b/kas/opt/buster.yml
index 9b0b530..3f19310 100644
--- a/kas/opt/buster.yml
+++ b/kas/opt/buster.yml
@@ -10,6 +10,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 distro: cip-core-buster
diff --git a/kas/opt/ebg-secure-boot-snakeoil.yml b/kas/opt/ebg-secure-boot-snakeoil.yml
index f787c82..e083304 100644
--- a/kas/opt/ebg-secure-boot-snakeoil.yml
+++ b/kas/opt/ebg-secure-boot-snakeoil.yml
@@ -10,7 +10,7 @@
 #
 
 header:
-  version: 12
+  version: 14
   includes:
     - kas/opt/ebg-swu.yml
 
diff --git a/kas/opt/ebg-swu.yml b/kas/opt/ebg-swu.yml
index c90142b..61a8eee 100644
--- a/kas/opt/ebg-swu.yml
+++ b/kas/opt/ebg-swu.yml
@@ -10,7 +10,7 @@
 #
 
 header:
-  version: 12
+  version: 14
   includes:
    - kas/opt/swupdate.yml
 
diff --git a/kas/opt/encrypt-partitions.yml b/kas/opt/encrypt-partitions.yml
index 2fe38f8..3de76ab 100644
--- a/kas/opt/encrypt-partitions.yml
+++ b/kas/opt/encrypt-partitions.yml
@@ -10,7 +10,7 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   initramfs-option-encrypt-partitions: |
diff --git a/kas/opt/kernel-panic.yml b/kas/opt/kernel-panic.yml
index fe17982..f966779 100644
--- a/kas/opt/kernel-panic.yml
+++ b/kas/opt/kernel-panic.yml
@@ -11,7 +11,7 @@
 # This kas file adds systemd service file to cause kernel panic during system boot.
 
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   kernel-panic: |
diff --git a/kas/opt/kernelci.yml b/kas/opt/kernelci.yml
index b5fadcb..ec90792 100644
--- a/kas/opt/kernelci.yml
+++ b/kas/opt/kernelci.yml
@@ -11,6 +11,6 @@
 # SPDX-License-Identifier: MIT
 #
 header:
-  version: 12
+  version: 14
 
 target: cip-core-image-kernelci
diff --git a/kas/opt/reproducible.yml b/kas/opt/reproducible.yml
index 9b56b28..5d6a896 100644
--- a/kas/opt/reproducible.yml
+++ b/kas/opt/reproducible.yml
@@ -9,7 +9,7 @@
 # SPDX-License-Identifier: MIT
 #
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   reproducible-builds: |
diff --git a/kas/opt/rt.yml b/kas/opt/rt.yml
index 4b2519f..ab43a84 100644
--- a/kas/opt/rt.yml
+++ b/kas/opt/rt.yml
@@ -10,7 +10,7 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   preempt-rt: |
diff --git a/kas/opt/security.yml b/kas/opt/security.yml
index 67bf4ff..d87235a 100644
--- a/kas/opt/security.yml
+++ b/kas/opt/security.yml
@@ -9,7 +9,7 @@
 # SPDX-License-Identifier: MIT
 #
 header:
-  version: 12
+  version: 14
   includes:
    - kas/opt/encrypt-partitions.yml
    - kas/opt/ebg-secure-boot-snakeoil.yml
diff --git a/kas/opt/sid-ports.yml b/kas/opt/sid-ports.yml
index 2e89f2b..b11a1c2 100644
--- a/kas/opt/sid-ports.yml
+++ b/kas/opt/sid-ports.yml
@@ -10,6 +10,6 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 distro: cip-core-sid-ports
diff --git a/kas/opt/swupdate.yml b/kas/opt/swupdate.yml
index 0e30e89..ef61e4e 100644
--- a/kas/opt/swupdate.yml
+++ b/kas/opt/swupdate.yml
@@ -12,7 +12,7 @@
 # from the first wic partition
 
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   image-option-swupdate: |
diff --git a/kas/opt/targz-img.yml b/kas/opt/targz-img.yml
index 8283ef8..fd8303e 100644
--- a/kas/opt/targz-img.yml
+++ b/kas/opt/targz-img.yml
@@ -10,7 +10,7 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   image-type: |
diff --git a/kas/opt/test.yml b/kas/opt/test.yml
index 7dd5536..4a60ad4 100644
--- a/kas/opt/test.yml
+++ b/kas/opt/test.yml
@@ -9,7 +9,7 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 local_conf_header:
   testing: |
diff --git a/kas/opt/wic-targz-img.yml b/kas/opt/wic-targz-img.yml
index 3d908de..74053f5 100644
--- a/kas/opt/wic-targz-img.yml
+++ b/kas/opt/wic-targz-img.yml
@@ -10,7 +10,7 @@
 #
 
 header:
-  version: 12
+  version: 14
 
 # lava uses nfs to deploy the image. For this we need a tarball instead of
 # full image